Bug 764063 - (GLUSTER-2331) Debian package does not depend on fuse
Debian package does not depend on fuse
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
3.1.2
All Linux
low Severity low
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-28 14:02 EST by alexc223
Modified: 2014-12-16 06:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-14 14:40:33 EST
Type: ---
Regression: ---
Mount Type: fuse
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description alexc223 2011-01-28 14:02:27 EST
The current Debian package for GlusterFS does not depend on any package to install fuse; which cause some issues as once I installed the package I could not (for obviously reasons) connect to my GlusterFS servers. The official Debian package in the Squeeze repositories depends on "fuse-utils", which in term depends on "libfuse2". It would be good if your package could depend on these so it all works straight away.
Comment 1 Lakshmipathi G 2011-07-27 23:17:08 EDT
Thanks Alex, will include these dependences  for deb package in future versions.(> 3.2.2)
Comment 2 Amar Tumballi 2012-04-17 14:54:55 EDT
Not sure of this status. People building '.deb' packages, please comment on the status of this bug.
Comment 3 Niels de Vos 2014-11-09 05:58:56 EST
I am not sure if this is still an issue in the current versions?

Gluster only depends on the fuse kernel module, there is no dependency (anymore) on fuse-utils or the like.
Comment 4 Niels de Vos 2014-11-27 09:54:55 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.

Note You need to log in before you can comment on or make changes to this bug.